/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package tree;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.BeforeEach;
import static org.junit.jupiter.api.Assertions.*;
import java.util.Iterator;

class AppTest {
  @Test void checkGetTree() {
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("a");
    tree.add("d");
    tree.add("r");
    assertEquals(4, tree.getTree());
  }

  @Test void checkToString() {
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("a");
    tree.add("d");
    tree.add("r");
    assertEquals("d, a, d, r", tree.toString());
  }

  @Test void checkAdd(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    assertEquals(1, tree.size());
  }

  @Test void checkAddAll(){
    Object[] massive = {"a", "b", "c"};
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("a");
    TreeV3<Node> tree2 = new TreeV3<Node>();
    tree2.add("b");
    tree2.add("c");
    tree.addAll(tree2);
    assertArrayEquals(massive, tree.toArray());
  }

  @Test void checkClear(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("a");
    tree.add("d");
    tree.add("r");
    tree.clear();
    assertEquals(0, tree.size());
  }

  @Test void checkRemove(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("a");
    tree.add("d");
    tree.add("r");
    tree.remove();
    assertEquals("d, a, d", tree.toString());
  }

  @Test void checkRemoveAll(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("a");
    Object[] massive = {"a"}
    TreeV3<Node> tree2 = new TreeV3<Node>();
    tree2.add("d");
    tree.removeAll(tree2);
    assertArrayEquals(massive, tree.toArray());
  }

  @Test void checkEmpty(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    assertFalse(tree.isEmpty());
  }

  @Test void checkContains(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    assertFalse(tree.contains("f"));
  }

  @Test void checkContainsAll(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("f");
    TreeV3<Node> tree2 = new TreeV3<Node>();
    tree2.add("a");
    tree2.add("s");
    assertFalse(tree.contains(tree2));
  }

  @Test void checkSize(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("d");
    tree.add("d");
    tree.add("d");
    assertEquals(3, tree.size());
  }

  @Test void checkToArray1(){
    Object[] massive = {"a", "b"};
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("a");
    tree.add("b");
    asserArraytEquals(massive, tree.toArray());
  }

  @Test void checkToArray2(){
    Object[] massive = {"a", "b"};
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("a");
    tree.add("b");
    Object[] massive2 = new Object[0];
    assertArrayEquals(massive, tree.toArray(massive2));
  }

  @Test void checkIterator(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("a");
    Iterator<Node> iterator = tree.iterator();
    assertTrue(iterator.hasNext());
  }

  @Test void checkEquals(){
    TreeV3<Node> tree = new TreeV3<Node>();
    tree.add("a");
    TreeV3<Node> tree2 = new TreeV3<Node>();
    tree2.add("a");
    assertFalse(tree.equals(tree2));
  }

}
